@echo off
cls

set README=READ.ME
set SRCDIR=update
set TRGDIR=%1
set SRCPAT=%2
set DBG=echo
set DBG=
set NTCOMP=comp.nt


rem ************************* Platform test
set CSDNUM=XR21925
set CSDNAM=TME10 Software Distribution for Windows platforms
set CSDCMP=%NTCOMP%

:endpt
echo .
echo *********************************************************
echo ** CSD  : %CSDNUM%
echo ** NAME : %CSDNAM%
echo ** ------------------------------------------------------
echo **
echo ** This batch script will create a set of change file
echo ** profiles under your hard-disk.
echo ** You can use these profiles to build %CSDNUM% change
echo ** files from a preparation site. During CF creation
echo ** your CD-ROM will be accessed again.
echo **
echo ** Once needed change files have been built, install them
echo ** on workstation having %CSDNAM%
echo ** already installed.
echo **
echo ** Refer to the %README% file, for more info.
echo **
echo *********************************************************
echo .
echo .
echo Press any key to continue or CTRL+C to interrupt ...
pause
echo .

:checksrc
if not exist %SRCDIR%\%CSDCMP% goto err_no_src

:checkparm1
if xx%TRGDIR% == xx goto err_no_parm1

:checktrg
if not exist %TRGDIR% md %TRGDIR%
if not exist %TRGDIR% goto err_no_trg

:checkparm2
if xx%SRCPAT% == xx goto err_no_parm2

:checkpat
if not exist %SRCPAT%\%SRCDIR%\%CSDCMP% goto err_no_pat
set SP=%SRCPAT%\%SRCDIR%


rem ************************* Do the work
:create_profiles
echo - Creating profiles
echo .


:nts
set CFP=%TRGDIR%\WNTS.PRO
echo ** NT Server profile
rem
echo GLOBAL NAME:                   IBM.SD4WNT.SERVER.REF.3150         >%CFP%
echo DESCRIPTION:                   SD Server for WNT 3.1.5 - (XR21925 level)  >>%CFP%
echo CHANGE FILE TYPE:              GEN                                >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wnts\*.exe                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.exe               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wnts\*.dll                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.dll               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wnts\*.cat                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)*.cat                   >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\dkamnt\*.*                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.*                 >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wnts\ICON315.BAT              >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\ICON315.BAT         >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wnts\FOLDER315.INI            >>%CFP%
echo     TARGET NAME:               $(FILEPATH)FOLDER315.INI           >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wnts\FNDSDSRV.SIG             >>%CFP%
echo     TARGET NAME:               $(FILEPATH)FNDSDSRV.SIG            >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo # ----------- GUI code - uncomment if needed                      >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\guints\*.*                   >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%
echo # ----------- NetFinity 5.0 code - uncomment if needed            >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\netfwnt\*.*                  >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%
echo # ----------- Documentation files - uncomment if needed           >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\doc\*.*                      >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%



:ntc
set CFP=%TRGDIR%\WNTC.PRO
echo ** NT Client profile
rem
echo GLOBAL NAME:                   IBM.SD4WNT.CLIENT.REF.3150           >%CFP%
echo DESCRIPTION:                   SD Client for WNT 3.1.5 - (XR21925 level)  >>%CFP%
echo CHANGE FILE TYPE:              GEN                                >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\*.exe                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.exe               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\*.dll                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.dll               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\*.cat                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)*.cat                   >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\dkamnt\*.*                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.*                 >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\FOLDER315.INI            >>%CFP%
echo     TARGET NAME:               $(FILEPATH)FOLDER315.INI           >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\FNDSDCLT.SIG             >>%CFP%
echo     TARGET NAME:               $(FILEPATH)FNDSDCLT.SIG            >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo # ----------- GUI code - uncomment if needed                      >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\guintc\*.*                   >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%
echo # ----------- NetFinity 5.0 code - uncomment if needed            >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\netfwnt\*.*                  >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%
echo # ----------- Documentation files - uncomment if needed           >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\doc\*.*                      >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%


:ntm
set CFP=%TRGDIR%\WNTM.PRO
echo ** NT Mobile profile
rem
echo GLOBAL NAME:                   IBM.SD4WNT.MOBILE.REF.3150          >%CFP%
echo DESCRIPTION:                   SD for WNT Mobile 3.1.5 - (XR21925 level) >>%CFP%
echo CHANGE FILE TYPE:              GEN                                >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntm\*.exe                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.exe               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntm\*.dll                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.dll               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntm\*.cat                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)*.cat                   >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\dkamnt\*.*                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.*                 >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                                >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntm\FNDSDCLT.SIG             >>%CFP%
echo     TARGET NAME:               $(FILEPATH)FNDSDCLT.SIG            >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo # ----------- GUI code - uncomment if needed                      >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\guintm\*.*                   >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%
echo # ----------- Documentation files - uncomment if needed           >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\doc\*.*                      >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%

:w95c
set CFP=%TRGDIR%\W9XC.PRO
echo ** W9x Client profile
rem
echo GLOBAL NAME:                   IBM.SD4W9X.CLIENT.REF.3150          >%CFP%
echo DESCRIPTION:                   SD Client for W9X 3.1.5 - (XR21925 level) >>%CFP%
echo CHANGE FILE TYPE:              GEN                                >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\*.exe                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.exe               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\*.dll                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.dll               >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\*.cat                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)*.cat                   >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\dkam9X\*.*                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.*                 >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\FOLDER315.INI            >>%CFP%
echo     TARGET NAME:               $(FILEPATH)FOLDER315.INI           >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntc\FNDSDCLT.SIG             >>%CFP%
echo     TARGET NAME:               $(FILEPATH)FNDSDCLT.SIG            >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo # ----------- GUI code - uncomment if needed                      >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\guintc9x\*.*                 >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%
echo # ----------- Documentation files - uncomment if needed           >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\doc\*.*                      >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%

:w9xm
set CFP=%TRGDIR%\W9XM.PRO
echo ** W9x Mobile profile
rem
echo GLOBAL NAME:                   IBM.SD4W9X.MOBILE.REF.3150          >%CFP%
echo DESCRIPTION:                   SD for W9X Mobile 3.1.5 - (XR21925 level) >>%CFP%
echo CHANGE FILE TYPE:              GEN                                >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntm\*.*                      >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.*                 >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\dkam9x\*.*                    >>%CFP%
echo     TARGET NAME:               $(FILEPATH)BIN\*.*                 >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo OBJECT:                                                           >>%CFP%
echo     SOURCE NAME:               %SP%\wntm\FNDSDCLT.SIG             >>%CFP%
echo     TARGET NAME:               $(FILEPATH)FNDSDCLT.SIG            >>%CFP%
echo     TYPE:                      FILE                               >>%CFP%
echo     ACTION:                    COPY                               >>%CFP%
echo     INCLUDE SUBDIRS:           NO                                 >>%CFP%
echo     GENERAL ATTR:              -A----                             >>%CFP%
echo # ----------- GUI code - uncomment if needed                      >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\guintm9x\*.*                 >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%
echo # ----------- Documentation files- uncomment if needed            >>%CFP%
echo #OBJECT:                                                          >>%CFP%
echo #    SOURCE NAME:               %SP%\doc\*.*                      >>%CFP%
echo #    TARGET NAME:               $(FILEPATH)BIN\*.*                >>%CFP%
echo #    TYPE:                      FILE                              >>%CFP%
echo #    ACTION:                    COPY                              >>%CFP%
echo #    INCLUDE SUBDIRS:           NO                                >>%CFP%
echo #    GENERAL ATTR:              -A----                            >>%CFP%

goto create_profiles_end

:create_profiles_end
echo .
echo Change file profiles created successfully.


goto fine
rem -----------------------------------
:err_no_src
echo ** Error: unable to locate files on the CD_ROM !
echo ** Change the working directory
goto fine_err
rem -----------------------------------
:err_no_parm1
echo ** Error: no target directory was specified !
goto fine_err
rem -----------------------------------
:err_no_trg
echo ** Error: Unable find/create target directory %TRGDIR% !
goto fine_err
rem -----------------------------------
:err_no_parm2
echo ** Error: no source directory was specified !
goto fine_err
rem -----------------------------------
:err_no_pat
echo ** Error: specified source path %SRCPAT% is invalid !
goto fine_err
rem -----------------------------------


:fine_err
echo ** Refer to the %README% file
:fine
